﻿################################################################################
########################## Variables 1 #########################################
################################################################################
################################################################################
################################################################################

##### Variables are a way to have the computer store values for you so you can
##### use them later.  Whenever you have a value you want to look at, you just
##### print it to the screen.  But if you want the computer to look at a value and
##### evaluate it for you, then you have to store that value somewhere that the 
##### computer can see.  This is where variables come in.


#1.  To create a variable, simply start the variable name with '$'.
$a #Valid variable.
$1 = "hello"
$1
$MyVar = "Hello2"
$MyVar
$DBName = "DB1"
$DBName

#2.  Variables can be declared as above as strings, but they can also be integers.
$int = 5
$int | gm
$int = "5"
$int | gm

###And you can add vars too, but only if they're both int.
$int5 = 5
$int10 = 10
$int5 + $int10

### If one isn't an int then that's uncool.
###Notice how it concatenates the 2 vars instead of adding them.
$string5 = "5"
$int10 = 10
$string5 + $int10

###Let's talk about typing vars.  Vars can be typed(or strongly typed) and untyped.
###Untyped is what we've been doing.  It means we let PS choose the type for us.
###Typed is what you call it when you choose the var type yourself.
[int]$string5 = "5"
$int10 = 10
$string5 + $int10

###PS will implicitly convert the data if it can, if it can't you'll get an error.
[int]$string1 = "Hello"
[string]$int1 = 17 + 23
$int1
$int1 | gm

#3. There are 2 string types as well.
### Interpolated strings, and literal strings.
###We'll talk about interpolated strings first.
###Interpolated means that the var will expand any vars inside it.
$a = "Sean"
$b = "My name is $a."
$b

###Literal strings means that it reads the chars literally and doesn't expand.
$a = "Sean"
$b = 'My name is $a.'
$b

###When you combine the 2 it's the outermost quotes the decide what happens.
$a = "Sean"
$b = "'My name is $a.'"
$b
###Another example.
$a = "Sean"
$b = "My name is '$a'."
$b

