﻿################################################################################
########################## Error Handling 2 ####################################
################################################################################
################################################################################
################################################################################


################# Exercises #################3

<#
1. Create an integer variable and assign some text to it.  Then handle the error and clear the error variable after.
2. Query for a service named "MinionWare". If it doesn't exist, print "Service doesn't exist" to the screen.
#>

#1. Try to stop the MinionWare service.  It doesn't exist so it'll error.
	#When you get the error, handle it so it doesn't just spill red to the screen.
	#When you're done handling the error, empty the error variable.

try { [int]$a = "MinionWare" }
catch { $Error.Exception }
finally{$Error.clear()}

#2. Query for a service named "MinionWare". If it doesn't exist, print "Service doesn't exist" to the screen.
$Services = Get-Service | ?{ $_.DisplayName -eq "MinionWare" }
If ($Services -eq $null) { "Service doesn't exist." }
#or
$Services = Get-Service | ?{ $_.DisplayName -eq "MinionWare" }
If (-not $Services) { "Service doesn't exist." }
#or
$Services = Get-Service | ?{ $_.DisplayName -eq "MinionWare" }
If (!$Services) { "Service doesn't exist." }
#or
If (!(Get-Service | ?{ $_.DisplayName -eq "MinionWare" })) { "Service doesn't exist." }





