﻿
param (
	#[Parameter(Mandatory = $True, HelpMessage = "Enter the FilePath without the ending '\'")]
	[string]$FilePath = "c:\Folder", #Remove the above line if you want a default.
	
	[Parameter(Mandatory = $True, HelpMessage = "Specify a filename and extension i.e.(MyFile.txt)")]
	[string]$FileName)

##You have to type '!?' when you're prompted to enter a missing param if you want to see the HelpMessage text.  
##It's not displayed by default.

################################################################################
########################## Scripting 8 #########################################
################################################################################
################################################################################
################################################################################



##Create a script that does what this one does, only if you don't enter a FilePath, it should search your computer for the file.
##You may not want to delete it though.  You may just want to print its location to the screen so you can decide whether to delete
##it or not.  I'll let you decide, but it may be dangerous to delete a file if it's not where you thought it was.

If (Test-Path $FilePath\$FileName)
	{
	del $FilePath\$FileName;
	}
ELSE
	{
		$FileFound = 0;
	}

If ($FileFound -eq 0)
{
	"Didn't find file.  Searching computer..."
	dir c:\ -Recurse $FileName -ErrorAction SilentlyContinue | %{$_.FullName};
}











